#70 Test for other distributions

closed
nobody
None
5
2016-03-25
2012-02-18
No

I'd relly like see the tests for poisson, weeibull, binomial distributions etc. besides the normality test. it would be a geat feature

Related

Feature Requests: #70

Discussion

  • Nobody/Anonymous

    iYDwl3 I think this is a real great post.Much thanks again. Want more.

     
  • Anonymous - 2012-11-05

    And additional p-value finders

     
    Last edit: Anonymous 2012-12-15
  • Sven S.

    Sven S. - 2015-03-12

    The original post is certainly a valid request.
    With respect to the various p-value finders, they have been in gretl for a long time (tools menu).

    thanks,
    sven

     
    • Anonymous - 2016-03-02

      i visited after 3 years and saw your reply. with all the respect i dont really care it for myself anymore (in 3 years everybody could find alternative solutions like learning some programing languages to do it by theirself...).

      But for gretl poject – if you really mean that it is an econometric analysis software then – i can say: most real life econometric data (for instance, financial prices) are not distrubuted normal nor aproximate to normal. they are called heavy-tailed distrubutions. and again with all the respect there are no built in support in p-values ( or in distrubution tests) for them. so i would like to see them in gretl for everyone who use it as an econometric analysis software. At least pareto; as it is a basic economic distrubution..

      though if you dont publish this software with this purpose, there is no prolem but then you should change the description i guess...

      your description:
      gretl is a cross-platform software package for econometric analysis, written in the C programming language.
      it should have been:
      gretl is a cross-platform software package for basic econometric analysis, written in the C programming language.

      and btw 4 years, really? if you dont want to add this feature just close it..

      PS: though it seems my request is luckier than some others. some has been wating for 6 years

       
      Last edit: Anonymous 2016-03-02
      • Riccardo "Jack" Lucchetti

        On Wed, 2 Mar 2016, Erdem wrote:

        i poped up after 3 years and saw your reply. with all the respect i dont
        really care it for myself anymore, in that time interval i have learnt
        many programming languages myself so ..

        But for gretl poject – if you really mean that it is an econometric
        analysis software then – i can say: most real life econometric data (for
        instance, financial prices) are not distrubuted normally nor aproximate
        to normal. they are called heavy-tailed distrubutions and again with all
        the respect there are no built in support in p-values or distrubution
        tests for them. so i would like to see them in gretl for everyone who
        really intend it is an econometric analysis software.. though if you
        dont, there is no prolem but then you should change the description...

        and btw 3 years, really?

        I believe you have proven beyond any possible doubt that you have no idea
        of what you're talking about.

        Thanks for your interest.


        Riccardo (Jack) Lucchetti
        Dipartimento di Scienze Economiche e Sociali (DiSES)

        Università Politecnica delle Marche
        (formerly known as Università di Ancona)

        r.lucchetti@univpm.it
        http://www2.econ.univpm.it/servizi/hpp/lucchetti


         
        • Anonymous - 2016-03-02

          Mandelbrot had said these things in 1960 (about heavy tails in financial data) and showed its been known since early 1900s but nevermind, who is mendelbrot anyway right?.. and what is pareto dist... all those articles about stable dist. in econometrics are crap arent they? just never mind... as u say: i have no idea...

          close this ticket, (i cant)

           
          Last edit: Anonymous 2016-03-02
          • Riccardo "Jack" Lucchetti

            On Wed, 2 Mar 2016, Erdem wrote:

            Mandelbrot had said this things in 1960 (about heavy tails) and showed
            its been known since early 1900s but nevermind after who is mendelbrot
            anyway right?..

            Oh, please.


            Riccardo (Jack) Lucchetti
            Dipartimento di Scienze Economiche e Sociali (DiSES)

            Università Politecnica delle Marche
            (formerly known as Università di Ancona)

            r.lucchetti@univpm.it
            http://www2.econ.univpm.it/servizi/hpp/lucchetti


             
          • Sven S.

            Sven S. - 2016-03-02

            Nobody is doubting the existence of heavy tails, don't be silly.

            With respect to the p-value finder in gretl, as I wrote before you have:
            "Normal, t, chi-square, F, Gamma, binomial, Poisson, Weibull".
            Sorry that 3 years wasn't enough to find that.

            Anyway, I had interpreted your original request as meaning something
            like the Anderson-Darling test applied to a Weibull distribution, to be
            concrete. This is indeed still missing from gretl I think, because
            people have had other priorities. (You do realize that in order to
            reject normality you just need a test for normality and not for other
            distributions, right?) If you meant something else, then please clarify
            and be explicit (and more constructive).

            Why should I close the ticket? Many features have been added to gretl
            over the years, but we are also honest about those requests that haven't
            been fulfilled yet.

            Bad luck it was your request. But since this is an open-source community
            project, we welcome contributions from anybody who developed solutions
            themselves in the meantime.

            cheers,
            sven

            Am 02.03.2016 um 17:50 schrieb Erdem:

            Mandelbrot had said this things in 1960 (about heavy tails) and
            showed its been known since early 1900s but nevermind after who is
            mendelbrot anyway right?..


            [feature-requests:#70] Test for other distributions

            Status: open Group: Created: Sat Feb 18, 2012 06:02 PM
            UTC by Erdem Last Updated: Thu Mar 12, 2015 01:39 PM UTC
            Owner: nobody

            I'd relly like see the tests for poisson, weeibull, binomial
            distributions etc. besides the normality test. it would be a geat
            feature


            Sent from sourceforge.net because you indicated interest in
            https://sourceforge.net/p/gretl/feature-requests/70/

            To unsubscribe from further messages, please visit
            https://sourceforge.net/auth/subscriptions/

             

            Related

            Feature Requests: #70

            • Anonymous - 2016-03-02

              thank you, for your respectful answer, Sven. really.

              but 3 years before, i didnt say those p-values in gretl, i said: "additional p-value .." (you can check that message).

              (You do realize that in order to reject normality you just need a test for normality and not for other distributions, right?)

              just for answer (i know u do), you do realise that: somebody find out it isnt normal then they may just want to see further, right?

               
              Last edit: Anonymous 2016-03-02
  • Sven S.

    Sven S. - 2016-03-25
    • status: open --> closed
    • Group: --> Next_Release_(example)
     
  • Sven S.

    Sven S. - 2016-03-25

    Ok, I've changed my mind on this and I'm closing this ticket.
    AFAICS the standard goodness-of-fit tests require a fully specified distribution, not just a statement of a distribution family. One could use some simulation approach to take into account that some distribution parameter has been estimated from the data, but that would be a bigger thing.
    So, I'm willing to re-open this if somebody shows us a concrete test that is (a) implemented in another software package, (b) does it right, meaning that it does not simply ignore the fact that the distribution wasn't fully specified a priori but was partially estimated from the data.

    Nonetheless, it remains true that gretl currently isn't strong on goodness-of-fit and/or distribution tests beyond the normality case.

    cheers,
    sven

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks